## com.crystaldecisions.sdk.occa.report.data
Class ParameterValueRangeKind

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.data.ParameterValueRangeKind

public final class ParameterValueRangeKind
extends java.lang.Object

This class contains constants that indicate whether the parameter is discrete, ranged, or both.

Field Summary
`static int` | `_discrete` The parameter is discrete.
`static int` | `_discreteAndRange` The parameter supports both ranged and discrete values.
`static int` | `_range` The parameter is ranged.
`static ParameterValueRangeKind` | `discrete` A `ParameterValueRangeKind` object that specifies the parameter is discrete.
`static ParameterValueRangeKind` | `discreteAndRange` A `ParameterValueRangeKind` object that specifies the parameter supports both ranged and discrete values.
`static ParameterValueRangeKind` | `range` A `ParameterValueRangeKind` object that specifies the parameter is ranged.

Method Summary
`static ParameterValueRangeKind` | `from_int(int i)` Returns the `ParameterValueRangeKind` corresponding to the specified value.
`static ParameterValueRangeKind` | `from_string(java.lang.String sVal)` Returns the `ParameterValueRangeKind` corresponding to the specified type.
`java.lang.String` | `toString()` Returns the `String` value of this `ParameterValueRangeKind` object.
`int` | `value()` Returns the `int` value of this `ParameterValueRangeKind` object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _range

    public static final int _range

  The parameter is ranged.

  See Also:
    Constant Field Values

### _discrete

    public static final int _discrete

  The parameter is discrete.

  See Also:
    Constant Field Values

### _discreteAndRange

    public static final int _discreteAndRange

  The parameter supports both ranged and discrete values.

  See Also:
    Constant Field Values

### range

    public static final ParameterValueRangeKind range

  A `ParameterValueRangeKind` object that specifies the parameter is ranged.

### discrete

    public static final ParameterValueRangeKind discrete

  A `ParameterValueRangeKind` object that specifies the parameter is discrete.

### discreteAndRange

    public static final ParameterValueRangeKind discreteAndRange

  A `ParameterValueRangeKind` object that specifies the parameter supports both ranged and discrete values.

Method Detail

### from_int

    public static final ParameterValueRangeKind from_int(int i)

  Returns the `ParameterValueRangeKind` corresponding to the specified value.

  Parameters:
    `i` - The `int` value of the desired `ParameterValueRangeKind` object.
  Returns:
    The `ParameterValueRangeKind` corresponding to the specified value.

### toString

    public java.lang.String toString()

  Returns the `String` value of this `ParameterValueRangeKind` object.

  Returns:
    The `String` value of this `ParameterValueRangeKind` object.

### value

    public int value()

  Returns the `int` value of this `ParameterValueRangeKind` object.

  Returns:
    The `int` value of this `ParameterValueRangeKind` object.

### from_string

    public static final ParameterValueRangeKind from_string(java.lang.String sVal)

  Returns the `ParameterValueRangeKind` corresponding to the specified type.

  Parameters:
    `sVal` - The `String` value of the desired `ParameterValueRangeKind` object.
  Returns:
    The `ParameterValueRangeKind` corresponding to the specified type.